RendererContextConstants (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render

## Interface RendererContextConstants

- All Known Subinterfaces:
    AFPRendererContextConstants, Java2DRendererContextConstants, PCLRendererContextConstants, PDFRendererContextConstants, PSRendererContextConstants
  All Known Implementing Classes:
    AbstractGenericSVGHandler, AFPSVGHandler, Java2DSVGHandler, PCLSVGHandler, PDFSVGHandler, PSSVGHandler

      public interface RendererContextConstants

  Defines a number of standard constants (keys) for use by the RendererContext class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FOREIGN_ATTRIBUTES` An optional Map (keys: QName, values: String) with attributes containing additional hints for rendering.
    `static String` | `HANDLER_CONFIGURATION` The configuration for the XMLHandler.
    `static String` | `HEIGHT` The target height of the image being painted.
    `static String` | `OUTPUT_STREAM` The output stream that the document is being sent to.
    `static String` | `PAGE_VIEWPORT` The current PageViewport being rendered.
    `static String` | `WIDTH` The target width of the image being painted.
    `static String` | `XPOS` The x position that this image is being drawn at.
    `static String` | `YPOS` The y position that this image is being drawn at.

- - ### Field Detail

    - #### OUTPUT_STREAM

          static final String OUTPUT_STREAM

      The output stream that the document is being sent to.
      See Also:
        Constant Field Values

    - #### PAGE_VIEWPORT

          static final String PAGE_VIEWPORT

      The current PageViewport being rendered.
      See Also:
        Constant Field Values

    - #### WIDTH

          static final String WIDTH

      The target width of the image being painted.
      See Also:
        Constant Field Values

    - #### HEIGHT

          static final String HEIGHT

      The target height of the image being painted.
      See Also:
        Constant Field Values

    - #### XPOS

          static final String XPOS

      The x position that this image is being drawn at.
      See Also:
        Constant Field Values

    - #### YPOS

          static final String YPOS

      The y position that this image is being drawn at.
      See Also:
        Constant Field Values

    - #### HANDLER_CONFIGURATION

          static final String HANDLER_CONFIGURATION

      The configuration for the XMLHandler.
      See Also:
        Constant Field Values

    - #### FOREIGN_ATTRIBUTES

          static final String FOREIGN_ATTRIBUTES

      An optional Map (keys: QName, values: String) with attributes containing additional hints for rendering.
      See Also:
        Constant Field Values

Copyright © 2025 Apache Software Foundation. All rights reserved.